@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700;800&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    list-style: none;
}

body {
    font-family: "Poppins", sans-serif;
}

.container {
    max-width: 1200px;
    margin: 0 auto;
}

.header {
    display: flex;
    align-items: center;
    min-height: 70vh;
    position: relative;
}

.menu {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    display: flex;
    align-items: center;
    justify-content: space-between;
    z-index: 1000;
}

.logo {
    font-size: 25px;
    color: #FF9000;
    text-transform: uppercase;
    font-weight: 800;
}

.menu .navbar ul li {
    position: relative;
    float: left;
}

.menu .navbar ul li a {
    font-size: 18px;
    padding: 20px;
    font-weight: 600;
    color: #1d1d1b;
    display: block;
}

.menu .navbar ul li a:hover {
    color: #db7e06;
}

#menu {
    display: none;
}

.menu-icon {
    width: 25px;
}

.menu label {
    cursor: pointer;
    display: none;
}

.submenu {
    position: relative;
}

.submenu #carrito {
    display: none;
}

.submenu:hover #carrito {
    display: block;
    position: absolute;
    right: 0;
    backdrop-filter: blur(10px);
    top: 100%;
    z-index: 1;
    background-color: #77777797;
    padding: 20px;
    min-width: 400px;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.2);
}

table {
    width: 100%;
}

th, td {
    color: #ffffff;
}

.borrar {
    background-color: #FF9000;
    border-radius: 50%;
    padding: 5px 10px;
    text-decoration: none;
    color: #ffffff;
    font-weight: 800;
}

.bg {
    position: absolute;
    width: 700px;
    top: 0;
    right: 0;
    z-index: -1;
}

.header-content {
    display: flex;
    align-items: center;
    padding-top: 40px; /* ← Esta línea es la clave 80px */

}

.header-txt {
    width: 50%;
    margin-right: 50px;
}

.header-txt h1 {
    font-size: 55px;
    line-height: 65px;
    color: #1d1d1b;
    margin-bottom: 35px;
}

.header-txt p {
    font-size: 16px;
    color: #5e5e5e;
    margin-bottom: 45px;
}

.header-txt span {
    color: #ffae00;
}

.btn-1 {
    display: inline-block;
    padding: 13px 45px;
    border-radius: 25px;
    background-color: #FF9000;
    font-size: 16px;
    color: #ffffff;
    text-transform: capitalize;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.2);
}

.btn-1:hover {
    background-color: #ef8700;
}

.header-img {
    width: 50%;
    text-align: right;
}

.header-img img {
    width: 650px;
}

/* ← Pasamos a la seccion */

.breakfast {
    padding: 50px 0;
}

h2 {
    font-size: 45px;
    line-height: 55px;
    color: #1d1d1b;
    margin-bottom: 15px;
}

p {
    font-size: 16px;
    color: #5e5e5e;
    margin-bottom: 45px;
}

.breakfast-content {
    display: flex;
    justify-content: space-between;
}

.breakfast-1 {
    display: flex;
    align-items: center;
    background-color: #FF9000;
    padding: 10px;
    border-radius: 15px;
    width: 200px;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.2);
}

.breakfast-1 h3 {
    font-size: 16px;
    color: #ffffff;
    font-weight: 600;
}

.breakfast-1 img {
    width: 50px;
    margin-right: 25px;
}

.info {
    padding: 100 px 0;
    position: relative;
}

.bg-2 {
    position: absolute;
    width: 300px;
    z-index: -1;
    top: 50px;
     /* left: 15%; Esto agregue */
}

.info-content {
    display: flex;
    align-items: center;
}

.info-img {
    width: 50%;
    text-align: left;
}

.info-img img {
    width: 450px;
    margin-left: -50px;
}

.info-txt {
    width: 50%;
}

/* ← Pasamos a los productos en main */

.products {
    padding: 0 0 50px 0;
    text-align: center;
}

.box-container {
    margin-top: 55px;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 20px;
}

.box {
   border-top: 2px solid #FF9000; 
   padding: 20px;
   border-radius: 15px;
   z-index: 1000; 
   box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
   display: none;
}

.box:nth-child(1),
.box:nth-child(2),
.box:nth-child(3),
.box:nth-child(4) {
    display: inline-block;
}

.box img {
    width: 120px;
}

.products-txt h3 {
    font-size: 20px;
    color: #1d1d1b;
    margin-bottom: 10px;
}

.products-txt p {
    margin-bottom: 25px;
}

.precio {
    font-size: 15px;
    color: #FF9000;
}

.btn-2 {
    background-color: #FF9000;
    margin-top: 50px;
    display: inline-block;
    padding: 13px 35px;
    border-radius: 25px;
    color: #ffffff;
    font-size: 16px;
    cursor: pointer;
    box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
}

.btn-2:hover {
    background-color: #ef8700;
}

.btn-3 {
    display: inline-block;
    padding: 5px 25px;
    background-color: #FF9000;
    color: #ffffff;
    border-radius: 10px;
}

.btn-3:hover {
    background-color: #ef8700;
}

/* ← Pasamos a la seccion de las app */
.app {
    padding: 30px 0;
    display: flex;
    align-items: center;
}

.app-txt {
    width: 50%;
}

.descarga {
    display: flex;
}

.descarga img {
    width: 150px;
}

.app-img {
    width: 50%;
    text-align: center;
}

.app-img img {
    width: 450px;
}

/* ← Pasamos al footer */

.footer {
    padding: 50px 0;
    background-color: #FF9000;
}

.footer-content {
    display: flex;
    justify-content: space-between;
}

.link h3 {
    font-size: 18px;
    margin-bottom: 15px;
    color: #ffffff;
}

.link a {
    color: #ffffff;
    font-size: 16px;
    display: block;
    margin-bottom: 10px;
}

/* ← Responsive */

@media (max-width:991px) {
    
    .menu {
        padding: 20px;
    }

    .menu label {
        display: initial;
    }

    .menu .navbar {
        position: absolute;
        top: 100%;
        left: 0;
        right: 0;
        background-color: #FF9000;
        display: none;
    }

    .menu .navbar ul li {
        width: 100%;
    }

    .menu .navbar ul li a:hover {
        color: #ffffff;
    }

    .logo {
        display: none;
    }

    #menu:checked ~ .navbar {
        display: initial;
    }

    .submenu:hover #carrito {
        width: 100%;
    }

    .bg {
        display: none;
    }

    .header-content {
        padding: 100px 30px 30px 30px;
        flex-direction: column;
    }

    .header-txt {
        text-align: center;
        width: 100%;
        margin: 0 0 25px 0;
    }

    .header-txt h1 {
        font-size: 45px;
        line-height: 55px;
        margin-bottom: 20px;
    }

    .header-txt p {
        margin-bottom: 20px;
    }

    .header-img {
        width: 100%;
        text-align: center;
    }

    .header-img img {
        width: 300px;
    }

    /* ← Desayunos */

    .breakfast {
        padding: 30px;
    }

    .breakfast-content {
        flex-direction: column;
        align-items: center;
    }

    .breakfast-1 {
        justify-content: space-between;
        padding: 10px 55px;
        width: 100%;
        margin-bottom: 25px;
    }

    .info {
        padding: 30px;
    }

    .bg-2 {
        display: none;
    }

    .info-content {
        flex-direction: column;
    }

    .info-img {
        width: 100%;
        text-align: center;
    }

    .info-img img {
        width: 250px;
        margin-left: 0;
    }

    .info-txt {
        width: 100%;
        text-align: center;
    }

    /* ← Productos */

    .products {
        padding: 30px;
    }

    .box-container {
        margin-top: 25px;
    }

    /* ← App */

    .app {
        flex-direction: column;
        padding: 30px;
    }

    .app-txt {
        width: 100%;
        text-align: center;
    }
    
    .descarga {
        flex-direction: column;
        align-items: center;
    }

    .app-img {
        width: 100%;
        text-align: center;
    }

    .app-img img {
        width: 300px;
    }

    /* ← footer */

    .footer {
        padding: 30px;
    }

    .footer-content {
        flex-direction: column;
        align-items: center;
        text-align: center;
    }
}
